// creator  : weidu.exe (version 23100)
// argument : _HULL2.DLG
// game		 : .
// source	 : ./override/_HULL2.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_HULL2~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #78701 /* ~Now there's a face I never thought I'd see again in a million years. When we heard about Gorion's passing, Fuller and I went out to gather his body but you were nowhere to be seen. I don't know what you two came across that night but Gorion died a noble death saving you from it.~ */
  IF ~~ THEN REPLY #78702 /* ~That night's all a blur. We were ambushed and he told me to run, so I did.~ */ GOTO 1
  IF ~~ THEN REPLY #78703 /* ~I need your help, Hull.~ */ GOTO 2
  IF ~~ THEN REPLY #78704 /* ~Thanks for taking care of his remains, Hull. I didn't have the means. Someday we'll sit down over a mug of ale and I'll tell you about it.~ */ GOTO 5
  IF ~Global("X#ImoenHull","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ImoenHull","GLOBAL",1)~ EXTERN ~_IMOEN2~ 159
END

IF ~~ THEN BEGIN 1 // from: _IMOEN2:159.0 0.0
  SAY #78705 /* ~It's good that you did, kid, or you wouldn't be here to talk to me right now. There's never been any shame in running every now and again.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: _IMOEN2:159.1 0.1
  SAY #78706 /* ~What kind of help?~ */
  IF ~~ THEN REPLY #78707 /* ~Can I have one of those potions of antidote you always had on you?~ */ GOTO 3
  IF ~~ THEN REPLY #78708 /* ~What can you tell me about the Iron Throne?~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #78709 /* ~Best hangover cure I ever found but, from the sounds of it, you've got a more important use for it.  Here let me give you one now.~ */
  IF ~~ THEN DO ~GiveItem("_POTN20",LastTalkedToBy)
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.1
  SAY #78710 /* ~The Iron Throne? They're a merchants' guild, I think. Winthrop probably knows more about them than I do... On the other hand, two of them are in the libraries, right now. They've been around for a few days, now. Said they had some business to conduct here.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: _IMOEN2:159.2 0.2
  SAY #78711 /* ~I look forward to it, kid.~ */
  IF ~~ THEN EXIT
END

IF ~True()
~ THEN BEGIN 6 // from:
  SAY #78712 /* ~Yeah, I'm on duty right now but maybe we can share a few drinks when my shift's over.~ */
  IF ~~ THEN EXIT
END
